Subject: bug#41343: tab-bar-mode: Close tab on mouse-2 click

From: Stefan Kangas <[email-masked]>
Date: Mon, 6 Sep 2021 21:40:11 +0200

Juri Linkov <[email-masked]> writes:

> Now the branch 'feature/tab-bar-events' is ready for testing.
> Please help to find any possible problems.

I have tested it on GNU/Linux and macOS, and it seems to work fine.

One concern is that tabs close on mouse down, rather than release.

In Firefox, tabs close instead on mouse release.  This is good,
because it gives me a second to react and move the mouse cursor away
in case I misclick.

This is currently less important in Emacs, as the buffer survives even
such a misclick.  But maybe in the future users will want tabs to be
more strongly connected to their associated buffers, and work would
then easily be lost to a misclick.

Could we change this to close on mouse release instead?